server:
  port: 6031

logging:
  config: classpath:spot-logback.xml

spring:
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
    serialization:
      WRITE_BIGDECIMAL_AS_PLAIN: true
  profiles:
    active: dev
  application:
    name: spot-api
  session:
    store-type: redis
  cloud:
    nacos:
      discovery:
        enabled: false
      config:
        enabled: false
  datasource:
    dynamic:
      primary: master
      strict: false
      datasource:
        master:
          url: jdbc:mysql://172.31.39.212:3306/kucoin?characterEncoding=utf-8&serverTimezone=GMT%2B8&useSSL=false
          username: kucoin
          password: KCrbYZ2XcjBtxzdG
          driver-class-name: com.mysql.cj.jdbc.Driver
  redis:
    host: 172.31.39.212
    port: 6379
    password: redis123!
    database: 0
  kafka:
    bootstrap-servers: 172.31.39.212:9092
    consumer:
      group-id: default-group
      enable-auto-commit: false
      properties:
        session.timeout.ms: 15000
        metadata.max.age.ms: 10000
      key-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      value-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      auto-offset-reset: earliest
    producer:
      retries: 0
      batch-size: 16384
      buffer-memory: 33554432
      key-serializer: org.apache.kafka.common.serialization.StringSerializer
      value-serializer: org.apache.kafka.common.serialization.StringSerializer
    listener:
      ack-mode: manual_immediate

mybatis-plus:
  mapper-locations: classpath*:mapper/*.xml
#  configuration:
#    map-underscore-to-camel-case: true
#    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl

kafka:
  topic:
    match: SPOT_MATCH_
    change: SPOT_CHANGE
    trade: SPOT_TRADE_
    price: SPOT_NEW_PRICE
  consumer:
    group:
      price: spot-match-price-group
